# !/bin/sh

# $Id: install-dictionary.sh,v 1.4 2002/02/13 15:30:58 swaj Exp $ #
# Was written by Alexey Semenov (c) 2001, 2002
# See COPYING for copying policy

MYSQL=mysql                # mysql path/name
MYSQLHOST=""		   # host
MYSQLUSER=""	           # user
MYSQLPASSWD=""             # password

DBFILE=$1
if [ x$DBFILE = x ] ; then echo "Usage $0 dicname.gz"; exit -1; fi
if [ ! -e ${DBFILE} ] ; then echo "ERROR: cannot find dictionary: ${DBFILE}" ; exit -1 ; fi

VER=`${MYSQL} --version`
if [ $? -ne '0' ] ; then  echo "ERROR: cannot run mysql"; exit -1; fi 

if [ "x${MYSQLPASSWD}" = "x" ] ; then
    MYSQLCOMMAND="${MYSQL}"
else
    MYSQLCOMMAND="${MYSQL} -p${MYSQLPASSWD}"
fi

if [ "x${MYSQLHOST}" = "x" ] ; then
    echo "Ok, try to use localhost"
else
    MYSQLCOMMAND="${MYSQLCOMMAND} -h ${MYSQLHOST}"
fi

if [ "x${MYSQLUSER}" = "x" ] ; then
    echo "Ok, try to use current user"
else
    MYSQLCOMMAND="${MYSQLCOMMAND} -u ${MYSQLUSER}"
fi

echo "${VER} found"

gzip -dc ${DBFILE} | ${MYSQLCOMMAND} ptkdic
if [ $? -ne '0' ] ;then  echo "ERROR: cannot load dictionary database"; exit -1 ; fi

echo "SUCCES: all ok!"

# __END__