/* $Id: gtkdic_gdata.h,v 1.5 2003/01/24 18:47:21 swaj Exp $ */

/*
 * Was written by Alexey Semenov (c) 2001-2003
 * See COPYING for copying policy
 */


#ifndef __GTKDIC_GDATA_H_
#define __GTKDIC_GDATA_H_ 1

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif


typedef enum {
	CMD_NOP,
	CMD_CLIPBOARD_SEARCH_WORD,
	CMD_CLIPBOARD_SEARCH_ART,
	CMD_ICONIFY,
	CMD_UNICONIFY,
	CMD_QUIT_NO_SAVE
} CMD;


#define S_CMD_CLIPBOARD_SEARCH_WORD "clip_search_word"
#define S_CMD_CLIPBOARD_SEARCH_ART  "clip_search_art"
#define S_CMD_ICONIFY               "iconify"
#define S_CMD_UNICONIFY             "uniconify"
#define S_CMD_QUIT_NO_SAVE          "quit_no_save"


typedef struct c_msg {
	unsigned char cmd;
} S_Msg;


#ifndef SOCKET_NAME
#define SOCKET_NAME "gtkdic.sock"
#endif /* SOCKET_NAME */


#endif /* __GTKDIC_GDATA_H_ */



/* __END__ */
