/* $Id: gtkdicctl.h,v 1.7 2003/01/24 18:47:21 swaj Exp $ */

/*
 * Was written by Alexey Semenov (c) 2001-2003
 * See COPYING for copying policy
 */


#ifndef __GTKDICCTL_H_
#define __GTKDICCTL_H_ 1


#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>
#include <errno.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <sys/socket.h>
#include <sys/un.h>
#include <sys/time.h>

#include <glib.h>


#include "cfg.h"
#include "defs.h"
#include "gtkdic_gdata.h"
#include "logging.h"


#ifndef TRUE
#define TRUE 1
#undef FALSE
#define FALSE !TRUE
#endif /* TRUE */ 



/* private decl */

#ifdef __GTKDICCTL_C_

static int send_cmd(void);
static void print_about(void);
static void uniconify(void);

static 	S_Msg my_msg;

#endif /* __GTKDICCTL_C_ */


#endif /* __GTKDICCTL_H_ */



/* __END__ */
